GNU bug report logs - #42536
28.0.50; Test vc-test-svn00-create-repo failing if snvadmin program not installed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp <p.stephani2@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42536 <at> debbugs.gnu.org and Philipp <p.stephani2@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42536 <at> debbugs.gnu.org:


Received: (at 42536) by debbugs.gnu.org; 4 Aug 2020 12:49:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 08:49:17 2020
Received: from localhost ([127.0.0.1]:47095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2wNZ-0005PU-0t
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 08:49:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2wNW-0005PE-GT
 for 42536 <at> debbugs.gnu.org; Tue, 04 Aug 2020 08:49:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=rxFkiG1j4Un1dD5e28sChQjKzaey1I/+MWhu4QqdjCk=; b=C8MbNBexS7S0C8/cbEZ868xDVO
 Vfy0gmVZTPKGnH5T3oBi3m12fgqYZzKUrixZVfqx7dqQ+0zLlYuP9HwQVNl1W4BZ/yhLuLlh4zSYU
 02RuIQvrKzOZ04bBFX/UUO3jDUb6/pWqgYfuT+7JO2dD/okBTeUc7A6bi3e35RkvcmRQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2wNN-0007jL-Hj; Tue, 04 Aug 2020 14:49:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42536: 28.0.50; Test vc-test-svn00-create-repo failing if
 snvadmin program not installed
References: <m2h7tv1llq.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 14:49:03 +0200
In-Reply-To: <m2h7tv1llq.fsf@HIDDEN> (Philipp's message of "Sat, 25 Jul
 2020 20:43:45 +0200")
Message-ID: <87zh7ao9ts.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp <p.stephani2@HIDDEN> writes: > This is another
 follow-up to Bug#30700. In this case, it's probably > unrelated to macOS,
 and the SVN tests should simply check whether SVN is > actually installed.
 However, since the tests are auto [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42536
Cc: 42536 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp <p.stephani2@HIDDEN> writes:

> This is another follow-up to Bug#30700.  In this case, it's probably
> unrelated to macOS, and the SVN tests should simply check whether SVN is
> actually installed.  However, since the tests are autogenerated by a
> macro, this isn't entirely trivial:
>
> Test vc-test-svn00-create-repo backtrace:
>   call-process("svnadmin" nil t nil "create" "SVN")

Hm...  I don't have svn on my Linux laptop either, and the svn tests are
just not done there.  So why are they performed on an svn-less Macos
laptop?

Aaah!

larsi@space test % svn
svn: error: The subversion command line tools are no longer provided by Xcode.

So

(defun vc-test--svn-enabled ()
  (executable-find vc-svn-program))

evaluates to true, even if there's no useable svn on the system.  Thank
you, Apple!

I've now amended the test to check for svnadmin, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42536; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2020 18:43:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 25 14:43:53 2020
Received: from localhost ([127.0.0.1]:51125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jzP9F-0000BM-If
	for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:43:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:46552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1jzP9E-0000BE-4i
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:43:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33720)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzP9D-0001vA-Ti
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:43:51 -0400
Received: from mail-ej1-x629.google.com ([2a00:1450:4864:20::629]:42323)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzP9C-0005xa-2I
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:43:51 -0400
Received: by mail-ej1-x629.google.com with SMTP id f12so13124006eja.9
 for <bug-gnu-emacs@HIDDEN>; Sat, 25 Jul 2020 11:43:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=WG1w/EMV1VSuwBL1erDnOBlYBavEGlHoBdsRtiPk7y8=;
 b=adqn23XT9XR+uJq9yOfpxsznjeaBAdyQ+SSQG4Sq58YnRQf9cIpLF/CL3qy25njJOR
 mu107qCFJrnb0p0J/eQZbAPtSYM5LspBDECKVke5tepAGV6cOu51t3rVQ2/4qVmntlBq
 Gbq8i/ZtREI9dBfjsV5fzlfIYXR3GtrDvJGpRf82QmmYny+3YR77uPAgullwCeXh2+Ym
 FZoW4LCWJ3EIKFiRp4eoa3WJyREab+y5xdaKbSWe7Tl17I6uE/HJpJKOuqvZqygKFnkp
 bCoNCC1MopXJBAt3vIfEzpxekhPsES8di0p4vlt4WFA1yej9zvlbRcIaXjJswRBn/aEl
 V00Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=WG1w/EMV1VSuwBL1erDnOBlYBavEGlHoBdsRtiPk7y8=;
 b=CYiumaPRkKxolfp3kIjcTLr0wBS/TJbkvtJ1ES2/OaJbihUiLV5AreJFc1zQdorgR3
 SyMsFXdUd+OkCxgaWzTHjFBCk4Q/xjsWVvlTOddBai12sMsbWwL18101fs0KPXjuH+4r
 vwhpPs24r18Hk07NRRu+URXNhdrLR6qFGRpcHyDcXHKpA5T/qYpAxupc5nBXad+icar1
 71MaVwqknjAIhmPxQh6E6mq+CTeffeE0/6Y+DFSPbZu3vP4AnTxKbtYMglOTRl1J4pcT
 PMr7uCw1WgN2a/ZPtNAtoSjjdKTmYxUWlvoJlrtieEo3kMigUgViY5XXwtrVHGFRSyPq
 h0TA==
X-Gm-Message-State: AOAM530espjWoR75TJTybpOjB8BJU4z0WXD7aMxbLFFYDh6JDdUnoeA2
 QzLApovcKNamEBtSYqSDeWFxE6cD
X-Google-Smtp-Source: ABdhPJwDvnWA7DDZgkc4jrcIv53BLBHUR/a90MExCwrDNUvUO/nbkWUK+0rtM+bn2wIULKCOIaEWGw==
X-Received: by 2002:a17:906:17cc:: with SMTP id
 u12mr14099733eje.344.1595702628036; 
 Sat, 25 Jul 2020 11:43:48 -0700 (PDT)
Received: from p (p579977e9.dip0.t-ipconnect.de. [87.153.119.233])
 by smtp.gmail.com with ESMTPSA id sa10sm3357881ejb.79.2020.07.25.11.43.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Jul 2020 11:43:46 -0700 (PDT)
From: Philipp <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Test vc-test-svn00-create-repo failing if snvadmin program
 not installed
Date: Sat, 25 Jul 2020 20:43:45 +0200
Message-ID: <m2h7tv1llq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::629;
 envelope-from=p.stephani2@HIDDEN; helo=mail-ej1-x629.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


This is another follow-up to Bug#30700.  In this case, it's probably
unrelated to macOS, and the SVN tests should simply check whether SVN is
actually installed.  However, since the tests are autogenerated by a
macro, this isn't entirely trivial:

Test vc-test-svn00-create-repo backtrace:
  call-process("svnadmin" nil t nil "create" "SVN")
  apply(call-process "svnadmin" nil t nil ("create" "SVN"))
  process-file("svnadmin" nil t nil "create" "SVN")
  apply(process-file "svnadmin" nil t nil ("create" "SVN"))
  vc-do-command("*vc*" 0 "svnadmin" ("create" "SVN"))
  vc-svn-create-repo()
  apply(vc-svn-create-repo nil)
  vc-call-backend(SVN create-repo)
  vc-create-repo(SVN)
  vc-test--create-repo-function(SVN)
  vc-test--create-repo(SVN)
  (lambda nil (vc-test--create-repo 'SVN))()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name vc-test-svn00-create-repo :documentat
  ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/vc/vc-tests" "--eval
  command-line()
  normal-top-level()
Test vc-test-svn00-create-repo condition:
    (file-missing "Searching for program" "No such file or directory" "svnadmin")
   FAILED   6/10  vc-test-svn00-create-repo (0.001947 sec)



In GNU Emacs 28.0.50 (build 67, x86_64-apple-darwin19.5.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
 of 2020-07-25
Repository revision: 3b44829823f43d3736b8ec9db2258eeff7f6c16a
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.5

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --with-modules --without-xml2 --without-pop --with-mailutils
 --enable-gcc-warnings=warn-only --enable-checking=all
 --enable-check-lisp-object-type 'CFLAGS=-ggdb3 -O0''

Configured features:
JPEG TIFF GIF PNG NOTIFY KQUEUE ACL GNUTLS ZLIB TOOLKIT_SCROLL_BARS NS
MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc dired dired-loaddefs rfc822
mml easymenu mml-sec epa epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils phst skeleton derived edmacro
kmacro pcase ffap thingatpt url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars mailcap subr-x rx gnutls puny seq
byte-opt gv bytecomp byte-compile cconv dbus xml compile comint
ansi-color ring cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 69742 5122)
 (symbols 48 8650 1)
 (strings 32 23543 1722)
 (string-bytes 1 768649)
 (vectors 16 14147)
 (vector-slots 8 172535 3974)
 (floats 8 26 29)
 (intervals 56 206 0)
 (buffers 992 10))




Acknowledgement sent to Philipp <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42536; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.